# OTLMOW-DAVIE
[![PyPI](https://img.shields.io/pypi/v/otlmow-davie?label=latest%20release)](https://pypi.org/project/otlmow-davie/)
[![otlmow-davie-downloads](https://img.shields.io/pypi/dm/otlmow-davie)](https://pypi.org/project/otlmow-davie/)
[![Unittests](https://github.com/davidvlaminck/OTLMOW-DAVIE/actions/workflows/unittest.yml/badge.svg)](https://github.com/davidvlaminck/OTLMOW-DAVIE/actions/workflows/unittest.yml)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/otlmow-davie)
[![GitHub issues](https://img.shields.io/github/issues/davidvlaminck/OTLMOW-DAVIE)](https://github.com/davidvlaminck/OTLMOW-DAVIE/issues)
[![coverage](https://github.com/davidvlaminck/OTLMOW-DAVIE/blob/master/UnitTests/coverage.svg)](https://htmlpreview.github.io/?https://github.com/davidvlaminck/OTLMOW-DAVIE/blob/master/UnitTests/htmlcov/index.html)

## Summary
The main use case of otlmow-davie is to integrate with DAVIE, the portal for data exchange 

## OTLMOW Project 
This project aims to implement the Flemish data standard OTL (https://wegenenverkeer.data.vlaanderen.be/) in Python.
It is split into different packages to reduce compatibility issues
- [otlmow_model](https://github.com/davidvlaminck/OTLMOW-Model)
- [otlmow_modelbuilder](https://github.com/davidvlaminck/OTLMOW-ModelBuilder)
- [otlmow_converter](https://github.com/davidvlaminck/OTLMOW-Converter)
- [otlmow_template](https://github.com/davidvlaminck/OTLMOW-Template)
- [otlmow_postenmapping](https://github.com/davidvlaminck/OTLMOW-PostenMapping)
- [otlmow_davie](https://github.com/davidvlaminck/OTLMOW-DAVIE) (you are currently looking at this package)
- [otlmow_visuals](https://github.com/davidvlaminck/OTLMOW-Visuals)
- [otlmow_gui](https://github.com/davidvlaminck/OTLMOW-GUI)



## Installation and requirements
Currently, you need at least Python version 3.7 to use this library.

To install the OTL MOW project into your Python project, use pip to install it:
``` 
pip install otlmow_davie
```
To upgrade an existing installation use:
``` 
pip install otlmow_davie --upgrade
```

## Usage
TODO
